# TODO
# - does accessibility themes require base package?
Summary:	Default themes for GNOME environment
Summary(pl.UTF-8):	Domyślne motywy dla środowiska GNOME
Name:		gnome-themes-standard
Version:	3.22.2
Release:	2
License:	LGPL v2.1+
Group:		Themes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-standard/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	84624dbcecab7add32672abae030314d
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.24.15
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	intltool >= 0.40
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post):	gtk-update-icon-cache
Requires:	adwaita-icon-theme
Requires:	gtk+3 >= 3.14.0
Suggests:	gtk2-theme-engine-adwaita
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Default themes for GNOME environment.

%description -l pl.UTF-8
Domyślne motywy dla środowiska GNOME.

%package accessibility
Summary:	Accessibility themes for GNOME environment
Summary(pl.UTF-8):	Motywy uprzystępniające dla środowiska GNOME
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnome-themes-HighContrast < 3.0-1
Obsoletes:	gnome-themes-HighContrastLargePrint < 3.0-1
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description accessibility
Accessibility themes for GNOME environment

%package -n gtk2-theme-engine-adwaita
Summary:	Adwaita GTK+ 2 theme
Summary(pl.UTF-8):	Motyw Adwaita dla GTK+ 2
Group:		Themes/GTK+
Requires:	gtk+2 >= 2:2.24.15

%description -n gtk2-theme-engine-adwaita
This package contains a GTK+ 2 theme for presenting widgets with a
GNOME look and feel.

%description -n gtk2-theme-engine-adwaita -l pl.UTF-8
Ten pakiet zawiera motyw GTK+ 2 do prezentowania widgetów z wyglądem i
zachowaniem GNOME.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.la

# gtk+2 cache
touch $RPM_BUILD_ROOT%{_iconsdir}/HighContrast/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post accessibility
%update_icon_cache HighContrast

%files
%defattr(644,root,root,755)
%dir %{_datadir}/themes/Adwaita
%{_datadir}/themes/Adwaita/gtk-3.0
%{_datadir}/themes/Adwaita/index.theme
%dir %{_datadir}/themes/Adwaita-dark
%{_datadir}/themes/Adwaita-dark/index.theme

%files accessibility
%defattr(644,root,root,755)
%dir %{_datadir}/themes/HighContrast
%{_datadir}/themes/HighContrast/gtk-3.0
%{_datadir}/themes/HighContrast/index.theme
%dir %{_iconsdir}/HighContrast
%{_iconsdir}/HighContrast/*x*
%{_iconsdir}/HighContrast/scalable
%ghost %{_iconsdir}/HighContrast/icon-theme.cache
%{_datadir}/themes/HighContrast/gtk-2.0

%files -n gtk2-theme-engine-adwaita
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%{_datadir}/themes/Adwaita/gtk-2.0
%{_datadir}/themes/Adwaita-dark/gtk-2.0
%changelog
* Mon Oct 31 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-themes-standard.git;a=log;h=master

* Sun Oct 30 2016 Elan Ruusamäe <glen@delfi.ee> b327342
- accessibility subpackage is noarch

* Wed Oct 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e3d059c
- Update to 3.22.2

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 237c236
- Update to 3.22.1

* Mon May 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c2c02ba
- Update to 3.20.2

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1dc0918
- Update to 3.20

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> c46e881
- move HighContrast/gtk-2.0 to accessibility package

* Sun Sep 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> aac4058
- updated to 3.18.0

* Tue May 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> d7aa02b
- updated to 3.16.2

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 6e73288
- updated to 3.16.0

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> a5b2028
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fcc2d14
- updated gettext BR

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> a13727a
- updated to 3.14.2.3

* Sat Nov 29 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3e9edbc
- Update to 3.14.2.2

* Fri Nov 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 8e12f9a
- updated to 3.14.2

* Tue Oct 14 2014 Elan Ruusamäe <glen@delfi.ee> d1ce218
- split accessibility themes

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 67a534d
- some versions

* Sun Sep 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> d4ad633
- updated to 3.14.0

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> d460e44
- pl for gtk2-theme-engine-adwaita

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 0b0bde2
- updated to 3.12.0

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ababe72
- Update to 3.10.0

